Store APIsDisputes
Get dispute
Retrieves a dispute by ID. Requires the DISPUTES_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48disputeId*string
Length
12 <= length <= 48Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/disputes/stringstring"{ "ok": true, "data": { "id": "dsp_8h0r1n4tzcbfp2v8q1mzwxj5", "reason": "FRAUDULENT", "status": "AWAITING_REVIEW", "evidence": null, "totalAmount": 2920, "amount": 2900, "fee": 2000, "createdAt": "2026-05-14T09:12:00.000Z", "order": { "id": "ord_p2v8q1mzj0kxw5h7n4tr3bcf", "orderNumber": "cs_abcdef0123456789", "status": "CHARGEBACK", "customer": { "id": "cus_j8h0r1n4tzcbfp2v8q1mzwx5", "email": "buyer@example.com", "firstName": "Alex", "lastName": "Doe", "guest": false }, "amount": 2900, "currency": "USD" }, "method": "card", "updatedAt": "2026-05-14T09:12:00.000Z" }}